import { PopupWidget, PopupWidgetProps } from '../PopupWidget';
export declare type DrawerWidgetProps = PopupWidgetProps;
export declare class DrawerWidget<Props extends DrawerWidgetProps = DrawerWidgetProps> extends PopupWidget<Props> {
    protected getPopupScene(): string;
    initialize(props: Props): this;
    get destroyOnClose(): boolean;
    get title(): any;
    get help(): any;
    get placement(): any;
    protected get wrapperClassName(): string | undefined;
    get width(): any;
    get height(): any;
    get okText(): any;
    get cancelText(): any;
}
